# Upload module artifact files

Upload module artifact to the module registry

Endpoint: POST /iacm/api/modules/{name}/{system}/{version}/upload
Version: 1.0
Security: x-api-key

## Query parameters:

  - `scope_org` (string)
    org name
    Example: "Magnam quo eius non."

  - `scope_project` (string)
    project name
    Example: "Quia error est consequuntur aspernatur voluptas labore."

## Path parameters:

  - `name` (string, required)
    Module artifact name
    Example: "Ab nulla ad atque rem provident qui."

  - `system` (string, required)
    Module artifact system
    Example: "Quam iure ut enim nihil."

  - `version` (string, required)
    version of the module
    Example: "Omnis accusamus odit."

## Header parameters:

  - `Harness-Account` (string, required)
    Account ID
    Example: "harness"

  - `Content-Disposition` (string, required)
    Content-Disposition header
    Example: "Enim possimus labore sit."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 201 fields
